layers(7).
width(0,8).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
width(1,8).
in_layer(1,n9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
width(2,8).
in_layer(2,n17).
in_layer(2,n18).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
width(3,8).
in_layer(3,n25).
in_layer(3,n26).
in_layer(3,n27).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
width(4,8).
in_layer(4,n33).
in_layer(4,n34).
in_layer(4,n35).
in_layer(4,n36).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
width(5,8).
in_layer(5,n41).
in_layer(5,n42).
in_layer(5,n43).
in_layer(5,n44).
in_layer(5,n45).
in_layer(5,n46).
in_layer(5,n47).
in_layer(5,n48).
width(6,8).
in_layer(6,n49).
in_layer(6,n50).
in_layer(6,n51).
in_layer(6,n52).
in_layer(6,n53).
in_layer(6,n54).
in_layer(6,n55).
in_layer(6,n56).
edge(n26,n35).
edge(n7,n12).
edge(n45,n50).
edge(n5,n16).
edge(n22,n30).
edge(n39,n44).
edge(n11,n20).
edge(n23,n31).
edge(n26,n33).
edge(n7,n13).
edge(n36,n42).
edge(n44,n54).
edge(n37,n48).
edge(n23,n29).
edge(n38,n42).
edge(n38,n47).
edge(n32,n38).
edge(n42,n49).
edge(n30,n40).
edge(n5,n9).
edge(n35,n45).
edge(n31,n36).
edge(n25,n37).
edge(n46,n56).
edge(n38,n43).
edge(n43,n50).
edge(n32,n36).
edge(n12,n18).
edge(n27,n39).
edge(n3,n15).
edge(n41,n53).
edge(n9,n20).
edge(n11,n21).
edge(n21,n25).
edge(n31,n33).
edge(n40,n43).
edge(n34,n45).
edge(n33,n47).
edge(n12,n23).
edge(n6,n13).
edge(n41,n52).
edge(n3,n10).
edge(n39,n46).
edge(n29,n33).
edge(n14,n18).
edge(n16,n23).
edge(n32,n39).
edge(n1,n13).
edge(n12,n17).
edge(n19,n30).
edge(n36,n46).
edge(n25,n36).
edge(n1,n10).
edge(n42,n54).
edge(n22,n31).
edge(n45,n51).
edge(n28,n37).
edge(n14,n17).
edge(n8,n15).
edge(n23,n32).
edge(n24,n31).
edge(n34,n43).
edge(n21,n32).
edge(n48,n55).
edge(n18,n27).
edge(n15,n24).
edge(n17,n29).
edge(n4,n11).
edge(n5,n13).
edge(n22,n29).
edge(n23,n28).
edge(n27,n36).
edge(n2,n15).
edge(n7,n10).
edge(n38,n41).
edge(n34,n46).
